package com.dbnt.faisp.equip;

import com.dbnt.faisp.authMgt.service.AuthMgtService;
import com.dbnt.faisp.equip.model.Equip;
import com.dbnt.faisp.equip.service.EquipService;
import com.dbnt.faisp.organMgt.service.OrganConfigService;
import com.dbnt.faisp.translator.model.Translator;
import com.dbnt.faisp.translator.model.TranslatorCrr;
import com.dbnt.faisp.translator.service.TranslatorService;
import com.dbnt.faisp.userInfo.model.UserInfo;
import com.dbnt.faisp.util.ParamMap;
import com.dbnt.faisp.util.Utils;

import lombok.RequiredArgsConstructor;

import java.io.IOException;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletResponse;

import org.springframework.security.core.annotation.AuthenticationPrincipal;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;


@RestController
@RequiredArgsConstructor
@RequestMapping("/equip")
public class EquipController {

  private final AuthMgtService authMgtService;
  private final TranslatorService translatorSevice;
  private final OrganConfigService organConfigService;
  private final EquipService equipService;
 
  
  @GetMapping("/equipStatus")
  public ModelAndView equipStatus(Equip equip) {
    ModelAndView mav = new ModelAndView("equip/equipStatus");
    mav.addObject("equipList", equipService.selectEquipStatus(equip));
    
    return mav;
  }
  
  @GetMapping("/equipEditModal")
  public ModelAndView equipEditModal() {
    ModelAndView mav = new ModelAndView("equip/equipEditModal");
    
    return mav;
  }
  
  
  @GetMapping("/equipTypeSelecBox")
  public ModelAndView equipTypeSelecBox(String equType) {
	  System.out.println("@@"+equType);
    ModelAndView mav = new ModelAndView("equip/equipTypeSelecBox");
    mav.addObject("equType", equType);
    return mav;
  }
  
  @PostMapping("/saveEquip")
  public void saveEquip(@AuthenticationPrincipal UserInfo loginUser,Equip equip, MultipartHttpServletRequest request){
	  equip.setWrtNm(loginUser.getUserId());
	  equip.setMgtOrgan(loginUser.getOgCd());
	  equip.setWrtOrgan(loginUser.getOgCd());
	  equip.setWrtDt(LocalDateTime.now());
	  equipService.saveEquip(equip,request);



  }
  
 
  
  
  

}
